# azure.mgmt.eventgrid.models module

class `azure.mgmt.eventgrid.models.``AdvancedFilter`(*, key: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  This is the base type that represents an advanced filter. To configure an advanced filter, do not directly instantiate an object of this class. Instead, instantiate an object of a derived class such as BoolEqualsAdvancedFilter, NumberInAdvancedFilter, StringEqualsAdvancedFilter etc. depending on the type of the key based on which you want to filter.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: NumberInAdvancedFilter, NumberNotInAdvancedFilter, NumberLessThanAdvancedFilter, NumberGreaterThanAdvancedFilter, NumberLessThanOrEqualsAdvancedFilter, NumberGreaterThanOrEqualsAdvancedFilter, BoolEqualsAdvancedFilter, StringInAdvancedFilter, StringNotInAdvancedFilter, StringBeginsWithAdvancedFilter, StringEndsWithAdvancedFilter, StringContainsAdvancedFilter

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - key (str) – The field/property in the event based on which you want to filter.
  - operator_type (str) – Required. Constant filled by server.

class `azure.mgmt.eventgrid.models.``AzureFunctionEventSubscriptionDestination`(*, resource_id: str = None, max_events_per_batch: int = None, preferred_batch_size_in_kilobytes: int = None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.EventSubscriptionDestination`

  Information about the azure function destination for an event subscription.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - endpoint_type (str) – Required. Constant filled by server.
  - resource_id (str) – The Azure Resource Id that represents the endpoint of the Azure Function destination of an event subscription.
  - max_events_per_batch (int) – Maximum number of events per batch.
  - preferred_batch_size_in_kilobytes (int) – Preferred batch size in Kilobytes.

class `azure.mgmt.eventgrid.models.``BoolEqualsAdvancedFilter`(*, key: str = None, value: bool = None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.AdvancedFilter`

  BoolEquals Advanced Filter.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - key (str) – The field/property in the event based on which you want to filter.
  - operator_type (str) – Required. Constant filled by server.
  - value (bool) – The boolean filter value.

class `azure.mgmt.eventgrid.models.``DeadLetterDestination`(**kwargs)

  Bases: `msrest.serialization.Model`

  Information about the dead letter destination for an event subscription. To configure a deadletter destination, do not directly instantiate an object of this class. Instead, instantiate an object of a derived class. Currently, StorageBlobDeadLetterDestination is the only class that derives from this class.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: StorageBlobDeadLetterDestination

  All required parameters must be populated in order to send to Azure.

  Parameters: | endpoint_type (str) – Required. Constant filled by server.

class `azure.mgmt.eventgrid.models.``Domain`(*, location: str, tags=None, input_schema='EventGridSchema', input_schema_mapping=None, allow_traffic_from_all_ips: bool = None, inbound_ip_rules=None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.TrackedResource`

  EventGrid Domain.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Fully qualified identifier of the resource.
  - name (str) – Name of the resource
  - type (str) – Type of the resource
  - provisioning_state (str or DomainProvisioningState) – Provisioning state of the domain. Possible values include: ‘Creating’, ‘Updating’, ‘Deleting’, ‘Succeeded’, ‘Canceled’, ‘Failed’
  - endpoint (str) – Endpoint for the domain.
  - metric_resource_id (str) – Metric resource id for the domain.

  Parameters:

  - location (str) – Required. Location of the resource.
  - tags (dict[str, str]) – Tags of the resource.
  - input_schema (str or InputSchema) – This determines the format that Event Grid should expect for incoming events published to the domain. Possible values include: ‘EventGridSchema’, ‘CustomEventSchema’, ‘CloudEventSchemaV1_0’. Default value: “EventGridSchema” .
  - input_schema_mapping (InputSchemaMapping) – Information about the InputSchemaMapping which specified the info about mapping event payload.
  - allow_traffic_from_all_ips (bool) – This determines if IP filtering rules ought to be evaluated or not. By default it will not evaluate and will allow traffic from all IPs.
  - inbound_ip_rules (list[InboundIpRule]) – This determines the IP filtering rules that ought be applied when events are received on this domain.

class `azure.mgmt.eventgrid.models.``DomainRegenerateKeyRequest`(*, key_name: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Domain regenerate share access key request.

  All required parameters must be populated in order to send to Azure.

  Parameters: | key_name (str) – Required. Key name to regenerate key1 or key2.

class `azure.mgmt.eventgrid.models.``DomainSharedAccessKeys`(*, key1: str = None, key2: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Shared access keys of the Domain.

  Parameters:

  - key1 (str) – Shared access key1 for the domain.
  - key2 (str) – Shared access key2 for the domain.

class `azure.mgmt.eventgrid.models.``DomainTopic`(*, provisioning_state=None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.Resource`

  Domain Topic.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified identifier of the resource.
  - name (str) – Name of the resource
  - type (str) – Type of the resource

  Parameters: | provisioning_state (str or DomainTopicProvisioningState) – Provisioning state of the domain topic. Possible values include: ‘Creating’, ‘Updating’, ‘Deleting’, ‘Succeeded’, ‘Canceled’, ‘Failed’

class `azure.mgmt.eventgrid.models.``DomainUpdateParameters`(*, tags=None, allow_traffic_from_all_ips: bool = None, inbound_ip_rules=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Properties of the Domain update.

  Parameters:

  - tags (dict[str, str]) – Tags of the domains resource
  - allow_traffic_from_all_ips (bool) – This determines if IP filtering rules ought to be evaluated or not. By default it will not evaluate and will allow traffic from all IPs.
  - inbound_ip_rules (list[InboundIpRule]) – This determines the IP filtering rules that ought be applied when events are received on this domain.

class `azure.mgmt.eventgrid.models.``EventHubEventSubscriptionDestination`(*, resource_id: str = None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.EventSubscriptionDestination`

  Information about the event hub destination for an event subscription.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - endpoint_type (str) – Required. Constant filled by server.
  - resource_id (str) – The Azure Resource Id that represents the endpoint of an Event Hub destination of an event subscription.

class `azure.mgmt.eventgrid.models.``EventSubscription`(*, destination=None, filter=None, labels=None, expiration_time_utc=None, event_delivery_schema=None, retry_policy=None, dead_letter_destination=None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.Resource`

  Event Subscription.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified identifier of the resource.
  - name (str) – Name of the resource
  - type (str) – Type of the resource
  - topic (str) – Name of the topic of the event subscription.
  - provisioning_state (str or EventSubscriptionProvisioningState) – Provisioning state of the event subscription. Possible values include: ‘Creating’, ‘Updating’, ‘Deleting’, ‘Succeeded’, ‘Canceled’, ‘Failed’, ‘AwaitingManualAction’

  Parameters:

  - destination (EventSubscriptionDestination) – Information about the destination where events have to be delivered for the event subscription.
  - filter (EventSubscriptionFilter) – Information about the filter for the event subscription.
  - labels (list[str]) – List of user defined labels.
  - expiration_time_utc (datetime) – Expiration time of the event subscription.
  - event_delivery_schema (str or EventDeliverySchema) – The event delivery schema for the event subscription. Possible values include: ‘EventGridSchema’, ‘CustomInputSchema’, ‘CloudEventSchemaV1_0’
  - retry_policy (RetryPolicy) – The retry policy for events. This can be used to configure maximum number of delivery attempts and time to live for events.
  - dead_letter_destination (DeadLetterDestination) – The DeadLetter destination of the event subscription.

class `azure.mgmt.eventgrid.models.``EventSubscriptionDestination`(**kwargs)

  Bases: `msrest.serialization.Model`

  Information about the destination for an event subscription.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: WebHookEventSubscriptionDestination, EventHubEventSubscriptionDestination, StorageQueueEventSubscriptionDestination, HybridConnectionEventSubscriptionDestination, ServiceBusQueueEventSubscriptionDestination, ServiceBusTopicEventSubscriptionDestination, AzureFunctionEventSubscriptionDestination

  All required parameters must be populated in order to send to Azure.

  Parameters: | endpoint_type (str) – Required. Constant filled by server.

class `azure.mgmt.eventgrid.models.``EventSubscriptionFilter`(*, subject_begins_with: str = None, subject_ends_with: str = None, included_event_types=None, is_subject_case_sensitive: bool = False, advanced_filters=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Filter for the Event Subscription.

  Parameters:

  - subject_begins_with (str) – An optional string to filter events for an event subscription based on a resource path prefix. The format of this depends on the publisher of the events. Wildcard characters are not supported in this path.
  - subject_ends_with (str) – An optional string to filter events for an event subscription based on a resource path suffix. Wildcard characters are not supported in this path.
  - included_event_types (list[str]) – A list of applicable event types that need to be part of the event subscription. If it is desired to subscribe to all default event types, set the IncludedEventTypes to null.
  - is_subject_case_sensitive (bool) – Specifies if the SubjectBeginsWith and SubjectEndsWith properties of the filter should be compared in a case sensitive manner. Default value: False .
  - advanced_filters (list[AdvancedFilter]) – An array of advanced filters that are used for filtering event subscriptions.

class `azure.mgmt.eventgrid.models.``EventSubscriptionFullUrl`(*, endpoint_url: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Full endpoint url of an event subscription.

  Parameters: | endpoint_url (str) – The URL that represents the endpoint of the destination of an event subscription.

class `azure.mgmt.eventgrid.models.``EventSubscriptionUpdateParameters`(*, destination=None, filter=None, labels=None, expiration_time_utc=None, event_delivery_schema=None, retry_policy=None, dead_letter_destination=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Properties of the Event Subscription update.

  Parameters:

  - destination (EventSubscriptionDestination) – Information about the destination where events have to be delivered for the event subscription.
  - filter (EventSubscriptionFilter) – Information about the filter for the event subscription.
  - labels (list[str]) – List of user defined labels.
  - expiration_time_utc (datetime) – Information about the expiration time for the event subscription.
  - event_delivery_schema (str or EventDeliverySchema) – The event delivery schema for the event subscription. Possible values include: ‘EventGridSchema’, ‘CustomInputSchema’, ‘CloudEventSchemaV1_0’
  - retry_policy (RetryPolicy) – The retry policy for events. This can be used to configure maximum number of delivery attempts and time to live for events.
  - dead_letter_destination (DeadLetterDestination) – The DeadLetter destination of the event subscription.

class `azure.mgmt.eventgrid.models.``EventType`(*, display_name: str = None, description: str = None, schema_url: str = None, is_in_default_set: bool = None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.Resource`

  Event Type for a subject under a topic.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified identifier of the resource.
  - name (str) – Name of the resource
  - type (str) – Type of the resource

  Parameters:

  - display_name (str) – Display name of the event type.
  - description (str) – Description of the event type.
  - schema_url (str) – Url of the schema for this event type.
  - is_in_default_set (bool) – IsInDefaultSet flag of the event type.

class `azure.mgmt.eventgrid.models.``HybridConnectionEventSubscriptionDestination`(*, resource_id: str = None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.EventSubscriptionDestination`

  Information about the HybridConnection destination for an event subscription.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - endpoint_type (str) – Required. Constant filled by server.
  - resource_id (str) – The Azure Resource ID of an hybrid connection that is the destination of an event subscription.

class `azure.mgmt.eventgrid.models.``InboundIpRule`(*, ip_mask: str = None, action=None, **kwargs)

  Bases: `msrest.serialization.Model`

  InboundIpRule.

  Parameters:

  - ip_mask (str) – IP Address in CIDR notation e.g., 10.0.0.0/8.
  - action (str or IpActionType) – Action to perform based on the match or no match of the IpMask. Possible values include: ‘Allow’

class `azure.mgmt.eventgrid.models.``InputSchemaMapping`(**kwargs)

  Bases: `msrest.serialization.Model`

  By default, Event Grid expects events to be in the Event Grid event schema. Specifying an input schema mapping enables publishing to Event Grid using a custom input schema. Currently, the only supported type of InputSchemaMapping is ‘JsonInputSchemaMapping’.

  You probably want to use the sub-classes and not this class directly. Known sub-classes are: JsonInputSchemaMapping

  All required parameters must be populated in order to send to Azure.

  Parameters: | input_schema_mapping_type (str) – Required. Constant filled by server.

class `azure.mgmt.eventgrid.models.``JsonField`(*, source_field: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  This is used to express the source of an input schema mapping for a single target field in the Event Grid Event schema. This is currently used in the mappings for the ‘id’, ‘topic’ and ‘eventtime’ properties. This represents a field in the input event schema.

  Parameters: | source_field (str) – Name of a field in the input event schema that’s to be used as the source of a mapping.

class `azure.mgmt.eventgrid.models.``JsonFieldWithDefault`(*, source_field: str = None, default_value: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  This is used to express the source of an input schema mapping for a single target field in the Event Grid Event schema. This is currently used in the mappings for the ‘subject’, ‘eventtype’ and ‘dataversion’ properties. This represents a field in the input event schema along with a default value to be used, and at least one of these two properties should be provided.

  Parameters:

  - source_field (str) – Name of a field in the input event schema that’s to be used as the source of a mapping.
  - default_value (str) – The default value to be used for mapping when a SourceField is not provided or if there’s no property with the specified name in the published JSON event payload.

class `azure.mgmt.eventgrid.models.``JsonInputSchemaMapping`(*, id=None, topic=None, event_time=None, event_type=None, subject=None, data_version=None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.InputSchemaMapping`

  This enables publishing to Event Grid using a custom input schema. This can be used to map properties from a custom input JSON schema to the Event Grid event schema.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - input_schema_mapping_type (str) – Required. Constant filled by server.
  - id (JsonField) – The mapping information for the Id property of the Event Grid Event.
  - topic (JsonField) – The mapping information for the Topic property of the Event Grid Event.
  - event_time (JsonField) – The mapping information for the EventTime property of the Event Grid Event.
  - event_type (JsonFieldWithDefault) – The mapping information for the EventType property of the Event Grid Event.
  - subject (JsonFieldWithDefault) – The mapping information for the Subject property of the Event Grid Event.
  - data_version (JsonFieldWithDefault) – The mapping information for the DataVersion property of the Event Grid Event.

class `azure.mgmt.eventgrid.models.``NumberGreaterThanAdvancedFilter`(*, key: str = None, value: float = None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.AdvancedFilter`

  NumberGreaterThan Advanced Filter.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - key (str) – The field/property in the event based on which you want to filter.
  - operator_type (str) – Required. Constant filled by server.
  - value (float) – The filter value.

class `azure.mgmt.eventgrid.models.``NumberGreaterThanOrEqualsAdvancedFilter`(*, key: str = None, value: float = None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.AdvancedFilter`

  NumberGreaterThanOrEquals Advanced Filter.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - key (str) – The field/property in the event based on which you want to filter.
  - operator_type (str) – Required. Constant filled by server.
  - value (float) – The filter value.

class `azure.mgmt.eventgrid.models.``NumberInAdvancedFilter`(*, key: str = None, values=None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.AdvancedFilter`

  NumberIn Advanced Filter.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - key (str) – The field/property in the event based on which you want to filter.
  - operator_type (str) – Required. Constant filled by server.
  - values (list[float]) – The set of filter values.

class `azure.mgmt.eventgrid.models.``NumberLessThanAdvancedFilter`(*, key: str = None, value: float = None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.AdvancedFilter`

  NumberLessThan Advanced Filter.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - key (str) – The field/property in the event based on which you want to filter.
  - operator_type (str) – Required. Constant filled by server.
  - value (float) – The filter value.

class `azure.mgmt.eventgrid.models.``NumberLessThanOrEqualsAdvancedFilter`(*, key: str = None, value: float = None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.AdvancedFilter`

  NumberLessThanOrEquals Advanced Filter.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - key (str) – The field/property in the event based on which you want to filter.
  - operator_type (str) – Required. Constant filled by server.
  - value (float) – The filter value.

class `azure.mgmt.eventgrid.models.``NumberNotInAdvancedFilter`(*, key: str = None, values=None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.AdvancedFilter`

  NumberNotIn Advanced Filter.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - key (str) – The field/property in the event based on which you want to filter.
  - operator_type (str) – Required. Constant filled by server.
  - values (list[float]) – The set of filter values.

class `azure.mgmt.eventgrid.models.``Operation`(*, name: str = None, display=None, origin: str = None, properties=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Represents an operation returned by the GetOperations request.

  Parameters:

  - name (str) – Name of the operation
  - display (OperationInfo) – Display name of the operation
  - origin (str) – Origin of the operation
  - properties (object) – Properties of the operation

class `azure.mgmt.eventgrid.models.``OperationInfo`(*, provider: str = None, resource: str = None, operation: str = None, description: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Information about an operation.

  Parameters:

  - provider (str) – Name of the provider
  - resource (str) – Name of the resource type
  - operation (str) – Name of the operation
  - description (str) – Description of the operation

class `azure.mgmt.eventgrid.models.``Resource`(**kwargs)

  Bases: `msrest.serialization.Model`

  Definition of a Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified identifier of the resource.
  - name (str) – Name of the resource
  - type (str) – Type of the resource

class `azure.mgmt.eventgrid.models.``RetryPolicy`(*, max_delivery_attempts: int = None, event_time_to_live_in_minutes: int = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Information about the retry policy for an event subscription.

  Parameters:

  - max_delivery_attempts (int) – Maximum number of delivery retry attempts for events.
  - event_time_to_live_in_minutes (int) – Time To Live (in minutes) for events.

class `azure.mgmt.eventgrid.models.``ServiceBusQueueEventSubscriptionDestination`(*, resource_id: str = None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.EventSubscriptionDestination`

  Information about the service bus destination for an event subscription.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - endpoint_type (str) – Required. Constant filled by server.
  - resource_id (str) – The Azure Resource Id that represents the endpoint of the Service Bus destination of an event subscription.

class `azure.mgmt.eventgrid.models.``ServiceBusTopicEventSubscriptionDestination`(*, resource_id: str = None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.EventSubscriptionDestination`

  Information about the service bus topic destination for an event subscription.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - endpoint_type (str) – Required. Constant filled by server.
  - resource_id (str) – The Azure Resource Id that represents the endpoint of the Service Bus Topic destination of an event subscription.

class `azure.mgmt.eventgrid.models.``StorageBlobDeadLetterDestination`(*, resource_id: str = None, blob_container_name: str = None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.DeadLetterDestination`

  Information about the storage blob based dead letter destination.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - endpoint_type (str) – Required. Constant filled by server.
  - resource_id (str) – The Azure Resource ID of the storage account that is the destination of the deadletter events
  - blob_container_name (str) – The name of the Storage blob container that is the destination of the deadletter events

class `azure.mgmt.eventgrid.models.``StorageQueueEventSubscriptionDestination`(*, resource_id: str = None, queue_name: str = None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.EventSubscriptionDestination`

  Information about the storage queue destination for an event subscription.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - endpoint_type (str) – Required. Constant filled by server.
  - resource_id (str) – The Azure Resource ID of the storage account that contains the queue that is the destination of an event subscription.
  - queue_name (str) – The name of the Storage queue under a storage account that is the destination of an event subscription.

class `azure.mgmt.eventgrid.models.``StringBeginsWithAdvancedFilter`(*, key: str = None, values=None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.AdvancedFilter`

  StringBeginsWith Advanced Filter.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - key (str) – The field/property in the event based on which you want to filter.
  - operator_type (str) – Required. Constant filled by server.
  - values (list[str]) – The set of filter values.

class `azure.mgmt.eventgrid.models.``StringContainsAdvancedFilter`(*, key: str = None, values=None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.AdvancedFilter`

  StringContains Advanced Filter.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - key (str) – The field/property in the event based on which you want to filter.
  - operator_type (str) – Required. Constant filled by server.
  - values (list[str]) – The set of filter values.

class `azure.mgmt.eventgrid.models.``StringEndsWithAdvancedFilter`(*, key: str = None, values=None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.AdvancedFilter`

  StringEndsWith Advanced Filter.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - key (str) – The field/property in the event based on which you want to filter.
  - operator_type (str) – Required. Constant filled by server.
  - values (list[str]) – The set of filter values.

class `azure.mgmt.eventgrid.models.``StringInAdvancedFilter`(*, key: str = None, values=None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.AdvancedFilter`

  StringIn Advanced Filter.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - key (str) – The field/property in the event based on which you want to filter.
  - operator_type (str) – Required. Constant filled by server.
  - values (list[str]) – The set of filter values.

class `azure.mgmt.eventgrid.models.``StringNotInAdvancedFilter`(*, key: str = None, values=None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.AdvancedFilter`

  StringNotIn Advanced Filter.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - key (str) – The field/property in the event based on which you want to filter.
  - operator_type (str) – Required. Constant filled by server.
  - values (list[str]) – The set of filter values.

class `azure.mgmt.eventgrid.models.``Topic`(*, location: str, tags=None, input_schema='EventGridSchema', input_schema_mapping=None, allow_traffic_from_all_ips: bool = None, inbound_ip_rules=None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.TrackedResource`

  EventGrid Topic.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Fully qualified identifier of the resource.
  - name (str) – Name of the resource
  - type (str) – Type of the resource
  - provisioning_state (str or TopicProvisioningState) – Provisioning state of the topic. Possible values include: ‘Creating’, ‘Updating’, ‘Deleting’, ‘Succeeded’, ‘Canceled’, ‘Failed’
  - endpoint (str) – Endpoint for the topic.
  - metric_resource_id (str) – Metric resource id for the topic.

  Parameters:

  - location (str) – Required. Location of the resource.
  - tags (dict[str, str]) – Tags of the resource.
  - input_schema (str or InputSchema) – This determines the format that Event Grid should expect for incoming events published to the topic. Possible values include: ‘EventGridSchema’, ‘CustomEventSchema’, ‘CloudEventSchemaV1_0’. Default value: “EventGridSchema” .
  - input_schema_mapping (InputSchemaMapping) – This enables publishing using custom event schemas. An InputSchemaMapping can be specified to map various properties of a source schema to various required properties of the EventGridEvent schema.
  - allow_traffic_from_all_ips (bool) – This determines if IP filtering rules ought to be evaluated or not. By default it will not evaluate and will allow traffic from all IPs.
  - inbound_ip_rules (list[InboundIpRule]) – This determines the IP filtering rules that ought to be applied when events are received on this topic.

class `azure.mgmt.eventgrid.models.``TopicRegenerateKeyRequest`(*, key_name: str, **kwargs)

  Bases: `msrest.serialization.Model`

  Topic regenerate share access key request.

  All required parameters must be populated in order to send to Azure.

  Parameters: | key_name (str) – Required. Key name to regenerate key1 or key2

class `azure.mgmt.eventgrid.models.``TopicSharedAccessKeys`(*, key1: str = None, key2: str = None, **kwargs)

  Bases: `msrest.serialization.Model`

  Shared access keys of the Topic.

  Parameters:

  - key1 (str) – Shared access key1 for the topic.
  - key2 (str) – Shared access key2 for the topic.

class `azure.mgmt.eventgrid.models.``TopicTypeInfo`(*, provider: str = None, display_name: str = None, description: str = None, resource_region_type=None, provisioning_state=None, supported_locations=None, source_resource_format: str = None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.Resource`

  Properties of a topic type info.

  Variables are only populated by the server, and will be ignored when sending a request.

  Variables:

  - id (str) – Fully qualified identifier of the resource.
  - name (str) – Name of the resource
  - type (str) – Type of the resource

  Parameters:

  - provider (str) – Namespace of the provider of the topic type.
  - display_name (str) – Display Name for the topic type.
  - description (str) – Description of the topic type.
  - resource_region_type (str or ResourceRegionType) – Region type of the resource. Possible values include: ‘RegionalResource’, ‘GlobalResource’
  - provisioning_state (str or TopicTypeProvisioningState) – Provisioning state of the topic type. Possible values include: ‘Creating’, ‘Updating’, ‘Deleting’, ‘Succeeded’, ‘Canceled’, ‘Failed’
  - supported_locations (list[str]) – List of locations supported by this topic type.
  - source_resource_format (str) – Source resource format.

class `azure.mgmt.eventgrid.models.``TopicUpdateParameters`(*, tags=None, allow_traffic_from_all_ips: bool = None, inbound_ip_rules=None, **kwargs)

  Bases: `msrest.serialization.Model`

  Properties of the Topic update.

  Parameters:

  - tags (dict[str, str]) – Tags of the resource.
  - allow_traffic_from_all_ips (bool) – This determines if IP filtering rules ought to be evaluated or not. By default it will not evaluate and will allow traffic from all IPs.
  - inbound_ip_rules (list[InboundIpRule]) – This determines the IP filtering rules that ought be applied when events are received on this domain.

class `azure.mgmt.eventgrid.models.``TrackedResource`(*, location: str, tags=None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.Resource`

  Definition of a Tracked Resource.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Variables:

  - id (str) – Fully qualified identifier of the resource.
  - name (str) – Name of the resource
  - type (str) – Type of the resource

  Parameters:

  - location (str) – Required. Location of the resource.
  - tags (dict[str, str]) – Tags of the resource.

class `azure.mgmt.eventgrid.models.``WebHookEventSubscriptionDestination`(*, endpoint_url: str = None, max_events_per_batch: int = None, preferred_batch_size_in_kilobytes: int = None, azure_active_directory_tenant_id: str = None, azure_active_directory_application_id_or_uri: str = None, **kwargs)

  Bases: `azure.mgmt.eventgrid.models._models_py3.EventSubscriptionDestination`

  Information about the webhook destination for an event subscription.

  Variables are only populated by the server, and will be ignored when sending a request.

  All required parameters must be populated in order to send to Azure.

  Parameters:

  - endpoint_type (str) – Required. Constant filled by server.
  - endpoint_url (str) – The URL that represents the endpoint of the destination of an event subscription.
  - max_events_per_batch (int) – Maximum number of events per batch.
  - preferred_batch_size_in_kilobytes (int) – Preferred batch size in Kilobytes.
  - azure_active_directory_tenant_id (str) – The Azure Active Directory Tenant ID to get the access token that will be included as the bearer token in delivery requests.
  - azure_active_directory_application_id_or_uri (str) – The Azure Active Directory Application ID or URI to get the access token that will be included as the bearer token in delivery requests.

  Variables: | endpoint_base_url (str) – The base URL that represents the endpoint of the destination of an event subscription.

class `azure.mgmt.eventgrid.models.``DomainPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Domain` object

class `azure.mgmt.eventgrid.models.``DomainTopicPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `DomainTopic` object

class `azure.mgmt.eventgrid.models.``EventSubscriptionPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `EventSubscription` object

class `azure.mgmt.eventgrid.models.``OperationPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Operation` object

class `azure.mgmt.eventgrid.models.``TopicPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `Topic` object

class `azure.mgmt.eventgrid.models.``EventTypePaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `EventType` object

class `azure.mgmt.eventgrid.models.``TopicTypeInfoPaged`(*args, **kwargs)

  Bases: `msrest.paging.Paged`

  A paging container for iterating over a list of `TopicTypeInfo` object

class `azure.mgmt.eventgrid.models.``DomainProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `canceled` = 'Canceled'
  `creating` = 'Creating'
  `deleting` = 'Deleting'
  `failed` = 'Failed'
  `succeeded` = 'Succeeded'
  `updating` = 'Updating'

class `azure.mgmt.eventgrid.models.``InputSchema`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `cloud_event_schema_v1_0` = 'CloudEventSchemaV1_0'
  `custom_event_schema` = 'CustomEventSchema'
  `event_grid_schema` = 'EventGridSchema'

class `azure.mgmt.eventgrid.models.``IpActionType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `allow` = 'Allow'

class `azure.mgmt.eventgrid.models.``DomainTopicProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `canceled` = 'Canceled'
  `creating` = 'Creating'
  `deleting` = 'Deleting'
  `failed` = 'Failed'
  `succeeded` = 'Succeeded'
  `updating` = 'Updating'

class `azure.mgmt.eventgrid.models.``EventSubscriptionProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `awaiting_manual_action` = 'AwaitingManualAction'
  `canceled` = 'Canceled'
  `creating` = 'Creating'
  `deleting` = 'Deleting'
  `failed` = 'Failed'
  `succeeded` = 'Succeeded'
  `updating` = 'Updating'

class `azure.mgmt.eventgrid.models.``EventDeliverySchema`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `cloud_event_schema_v1_0` = 'CloudEventSchemaV1_0'
  `custom_input_schema` = 'CustomInputSchema'
  `event_grid_schema` = 'EventGridSchema'

class `azure.mgmt.eventgrid.models.``TopicProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `canceled` = 'Canceled'
  `creating` = 'Creating'
  `deleting` = 'Deleting'
  `failed` = 'Failed'
  `succeeded` = 'Succeeded'
  `updating` = 'Updating'

class `azure.mgmt.eventgrid.models.``ResourceRegionType`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `global_resource` = 'GlobalResource'
  `regional_resource` = 'RegionalResource'

class `azure.mgmt.eventgrid.models.``TopicTypeProvisioningState`

  Bases: `str`, `enum.Enum`

  An enumeration.

  `canceled` = 'Canceled'
  `creating` = 'Creating'
  `deleting` = 'Deleting'
  `failed` = 'Failed'
  `succeeded` = 'Succeeded'
  `updating` = 'Updating'